#!/bin/sh
# This script is used by systemd /lib/systemd/system/centrifyda.service.
# Use this script because systemd service file does not support conditional
# options below.
wait_dad()
{
    # Wait for a maximum of 10 seconds for /var/run/dad.pid to be created
    MAX=${1:-10}
    while [ $MAX -gt 0 ] && [ ! -f /var/run/dad.pid ]; do
        MAX=`expr $MAX - 1`
        sleep 1
        # Timeout, but PID file is still not created
        if [ $MAX -eq 0 ] && [ ! -f /var/run/dad.pid ]; then
            echo "WARN - dad PID file is still not created!!!"       
        fi
    done
}
# start dad and wait until /var/run/dad.pid is created
/usr/sbin/dad && wait_dad