#!/bin/sh

#####################################################
#
# Centrify DirectAudit 
# In order to invoke daflush after running adflush.
#
#####################################################

# For now, adflush's hook is just for daflush, not open to user.

CheckRoot()
{
    if [ -z "$UID" ]; then
        if [ -x /usr/xpg4/bin/id ]; then
            UID=`/usr/xpg4/bin/id -u`
        else
            UID=`id -u`
        fi
    fi
    if [ -z "$UID" ]; then
        echo "Error: Unable to determine current UID, this script must be executed by root, trying to continue operation"
        exit 1
    elif [ "$UID" -ne "0" ]; then
        echo "Error: This script must be executed by root."
        exit 1
    fi
}

# Just root can execute this script
CheckRoot

# Judge if daflush is hooked to adflush. If daflush isn't hooked to adflush, add it. Or do nothing.
# On solaris, $PKG_INSTALL_ROOT is the root file system on the target system where the package is being installed.
# And the shutdown sparse zone's partition is mounted as $PKG_INSTALL_ROOT, not '/'.
[ "${PKG_INSTALL_ROOT}" = "/" ] && PKG_INSTALL_ROOT=""
grep '^[ \t]*cli.hook.adflush' ${PKG_INSTALL_ROOT}/etc/centrifydc/centrifydc.conf > /dev/null 2>&1
if [ $? != 0 ]; then
cat <<EOF >> ${PKG_INSTALL_ROOT}/etc/centrifydc/centrifydc.conf
# DirectAudit Section Begin
#
# This change is made by CDA
# The purpose is to invoke daflush after running adflush
#
cli.hook.adflush: /usr/sbin/daflush
# DirectAudit Section End
EOF
fi
