#!/bin/sh

#####################################################
#
# Centrify DirectAudit 
# Deatch daflush from adflush.
#
#####################################################

CheckRoot()
{
    if [ -z "$UID" ]; then
        if [ -x /usr/xpg4/bin/id ]; then
            UID=`/usr/xpg4/bin/id -u`
        else
            UID=`id -u`
        fi
    fi
    if [ -z "$UID" ]; then
        echo "Error: Unable to determine current UID, this script must be executed by root, trying to continue operation"
        exit 1
    elif [ "$UID" -ne "0" ]; then
        echo "Error: This script must be executed by root."
        exit 1
    fi
}

# Just root can execute this script
CheckRoot

# If daflush have been hooked to adflush, unhook it.
# On solaris, $PKG_INSTALL_ROOT is the root file system on the target system where the package is being installed.
# And the shutdown sparse zone's partition is mounted as $PKG_INSTALL_ROOT, not '/'.
[ "${PKG_INSTALL_ROOT}" = "/" ] && PKG_INSTALL_ROOT=""
grep '^[ \t]*cli.hook.adflush' ${PKG_INSTALL_ROOT}/etc/centrifydc/centrifydc.conf > /dev/null 2>&1
if [ $? = 0 ]; then
    TEMP_MESSAGE=${PKG_INSTALL_ROOT}/etc/centrifydc/centrifydc.conf.$$
    grep '# DirectAudit Section Begin' ${PKG_INSTALL_ROOT}/etc/centrifydc/centrifydc.conf > /dev/null 2>&1
    if [ $? = 0 ]; then
        sed '/# DirectAudit Section Begin/,/# DirectAudit Section End/d' ${PKG_INSTALL_ROOT}/etc/centrifydc/centrifydc.conf > $TEMP_MESSAGE
    else
        # Deal with the case the comments are added by running daflush-attach.sh will be removed when we upgrade CDC.
        # Note the legal assignment tokens are: " ", " =",  ":", ":="
        sed '/^[ 	]*cli.hook.adflush[ :]=\{0,1\}[ 	]*\/usr\/sbin\/daflush[ 	]*.*/d' ${PKG_INSTALL_ROOT}/etc/centrifydc/centrifydc.conf > $TEMP_MESSAGE
    fi
    cp -p $TEMP_MESSAGE ${PKG_INSTALL_ROOT}/etc/centrifydc/centrifydc.conf > /dev/null 2>&1
    rm -f $TEMP_MESSAGE > /dev/null 2>&1
fi

